# Class: SeedAPIDataPatch

## SeedAPIDataPatch()

A one-time patch which populates the Player collection with all the players on all the active teams in the NFL using the sports data service's APIs. To run this, do it from "node flitter shell":

## Constructor

#### new SeedAPIDataPatch()

Source:
  - app/SeedAPIData.patch.js, line 17

##### Example

    Patch = require('./app/SeedAPIData.patch')
    patch = _di.make(Patch)
    await patch.run()

### Extends

- Injectable

### Methods

#### (async) run() → {Promise.<void>}

Run the patch.

Source:
  - app/SeedAPIData.patch.js, line 26

##### Returns:

Type
  Promise.<void>